com.h3c.util.ip

## Enum IpAddress.Family

- java.lang.Object
- - java.lang.Enum<IpAddress.Family>
  - - com.h3c.util.ip.IpAddress.Family

- All Implemented Interfaces:
    Serializable, Comparable<IpAddress.Family>
  Enclosing class:
    IpAddress

      public static enum IpAddress.Family
      extends Enum<IpAddress.Family>

  Specifies the IP address families.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IPv4` IPv4 family of IP Addresses.
    `IPv6` IPv6 family of IP Addresses.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IpAddress.Family` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IpAddress.Family[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IPv4

          public static final IpAddress.Family IPv4

      IPv4 family of IP Addresses.

    - #### IPv6

          public static final IpAddress.Family IPv6

      IPv6 family of IP Addresses.

  - ### Method Detail

    - #### values

          public static IpAddress.Family[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IpAddress.Family c : IpAddress.Family.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IpAddress.Family valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.